org.keycloak.dom.saml.v2.metadata

## Class TypeWithOtherAttributes

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

- Direct Known Subclasses:
    AffiliationDescriptorType, ContactType, EndpointType, EntityDescriptorType, OrganizationType, RoleDescriptorType

      public abstract class TypeWithOtherAttributes
      extends Object

  Abstract base class for types that can have extra attributes
  Since:
    Dec 10, 2010
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<QName,String>` | `otherAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeWithOtherAttributes()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOtherAttribute(QName qame, String value)` Add other attribute
    `Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
    `void` | `removeOtherAttribute(QName qame)` Remove other attribute

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### otherAttributes

          protected Map<QName,String> otherAttributes

  - ### Constructor Detail

    - #### TypeWithOtherAttributes

          public TypeWithOtherAttributes()

  - ### Method Detail

    - #### addOtherAttribute

          public void addOtherAttribute(QName qame,
                                        String value)

      Add other attribute
      Parameters:
        `qame` -
        `value` -

    - #### removeOtherAttribute

          public void removeOtherAttribute(QName qame)

      Remove other attribute
      Parameters:
        `qame` -
        `value` -

    - #### getOtherAttributes

          public Map<QName,String> getOtherAttributes()

      Gets a map that contains attributes that aren't bound to any typed property on this class.
      Returns:
        always non-null

Copyright © 2020 JBoss by Red Hat. All rights reserved.